package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.SalarySobExtRangePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobExtRangeMapper {

	/**
	 * 查询所有记录
	 *
	 * @return 返回集合，没有返回空List
	 */
	List<SalarySobExtRangePO> listAll();

	/**
	 * 条件查询
	 *
	 * @return 返回集合，没有返回空List
	 */
	List<SalarySobExtRangePO> listSome(SalarySobExtRangePO salarySobExtRange);


	/**
	 * 根据主键查询
	 *
	 * @param id 主键
	 * @return 返回记录，没有返回null
	 */
	SalarySobExtRangePO getById(Long id);

	/**
	 * 新增，忽略null字段
	 *
	 * @param salarySobExtRange 新增的记录
	 * @return 返回影响行数
	 */
	int insertIgnoreNull(SalarySobExtRangePO salarySobExtRange);

	/**
	 * 修改，修改所有字段
	 *
	 * @param salarySobExtRange 修改的记录
	 * @return 返回影响行数
	 */
	int update(SalarySobExtRangePO salarySobExtRange);

	/**
	 * 修改，忽略null字段
	 *
	 * @param salarySobExtRange 修改的记录
	 * @return 返回影响行数
	 */
	int updateIgnoreNull(SalarySobExtRangePO salarySobExtRange);

	/**
	 * 删除记录
	 *
	 * @param salarySobExtRange 待删除的记录
	 * @return 返回影响行数
	 */
	int delete(SalarySobExtRangePO salarySobExtRange);

	List<SalarySobExtRangePO> listPage4Ext(SalarySobExtRangePO build);

	void deleteByIds(@Param("ids") Collection<Long> ids);
}